source("FUN_DATA_testing.r")

load("dat_example.RData") # read in data

g="logit" #type of link function depending on the type of outcome
p = dim(dat)[2]-2 #number of predictors in the data
kernel_tmp = "quadratic" #type of kernel
n.data=dim(dat)[1] #sample size

sig_range = exp(seq(log(0.005),log(5),length=10)) # range of paramter to consider for the kernel specified

test_result <- power_sim_noPCA_new(dat, n.data, p,g, kernel=kernel_tmp, sig_range=sig_range) #run test

save(test_result,file="dat_example_result.RData") #save result to RData
